Subject: Re: Which Amiga ROM version?
To: NetBSD Amiga <>
From: Matthias Scheler <>
List: amiga
Date: 12/02/1994 22:05:36
    Hi Tero,

you wrote in <>:
> To my knowledge the NetBSD kernel itself doesn't care what your
> AmigaOS ROM version is. The limitation comes from loadbsd program.

Correct. But you need "loadbsd" to *RUN* NetBSD.
And that is what he wanted to now.

> It should be possible to boot using even 1.3 ROMs (or 1.0 !!).

Yes, but it would be big waste of work to get it work with 1.3.
LoadBSD reads SysBase->AttnFlags to get knowledge about the CPU.
And OS versions < 2.0 don't recognize an 68040. So you what have
to write a new CPU detection ... bullshit to do so.

And I don't think there's any 1.3 user with a configuration usable
for NetBSD out there. 1.3 machines are A500/000s with 1MB.

Matthias Scheler